Name: MAKEDEV
Version: 3.24
Release: 6%{?dist}
Group: System Environment/Base
License: GPLv2
# This is a Red Hat maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
Source: MAKEDEV-%{version}-1.tar.gz
Summary: A program used for creating device files in /dev
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libselinux-devel
URL: http://www.lanana.org/docs/device-list/
Requires(pre): shadow-utils, /usr/bin/getent

%description
This package contains the MAKEDEV program, which makes it easier to create
and maintain the files in the /dev directory.  /dev directory files
correspond to a particular device supported by Linux (serial or printer
ports, scanners, sound cards, tape drives, CD-ROM drives, hard drives,
etc.) and interface with the drivers in the kernel.

You should install the MAKEDEV package because the MAKEDEV utility makes
it easy to manage the /dev directory device files.

%prep
%setup -q

%build
make OPTFLAGS="$RPM_OPT_FLAGS" SELINUX=1

%install
make install DESTDIR=$RPM_BUILD_ROOT devdir=/dev makedevdir=/sbin
rm -f $RPM_BUILD_ROOT/dev/MAKEDEV

%clean
rm -fr $RPM_BUILD_ROOT

%pre
# Add the floopy group and the vcsa user.
getent group floppy >/dev/null || groupadd -g 19 -r -f floppy
getent group vcsa >/dev/null || groupadd -g 69 -r -f vcsa
getent passwd vcsa >/dev/null || \
	useradd -r -g vcsa -d /dev -s /sbin/nologin -u 69 \
	-c "virtual console memory owner" vcsa 2>/dev/null
exit 0

%files
%defattr(-,root,root)
%doc COPYING devices-2.6+.txt
%{_mandir}/man8/*
%{_sbindir}/mksock
/sbin/MAKEDEV
%config(noreplace) %{_sysconfdir}/makedev.d

%changelog
* Fri Dec 10 2010 Eddy Nigg <eddy_nigg.org>
- Rebuild for StartCom Linux 6.0.x

* Fri Jun 18 2010 Chris Lumens <clumens@redhat.com> 3.24-6
- Change user/group creation for new shadow-utils behavior.
  Resolves: rhbz#594092

* Tue Mar 30 2010 Chris Lumens <clumens@redhat.com> - 3.24-5
- Fix pkgwrangler warnings
  Related: rhbz#543948.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.24-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 08 2009 Robert Scheck <robert@fedoraproject.org> 3.24-3
- Hardcoded temporarily the release tag in package source tag
